CONFIG += 			release \
					warn_on \
					qt \
					thread \
					c++11
					
TEMPLATE =			app
DESTDIR = 			bin

CONFIG(debug, debug|release) {
    TARGET = 		ucbudgeteditord
} else {
    TARGET = 		ucbudgeteditor
}

OBJECTS_DIR = 		build/obj
MOC_DIR = 			build/moc

QT += 				core \
					gui \
					xml
	
greaterThan(QT_MAJOR_VERSION, 4): {
QT += 				widgets \
					printsupport
}
    
HEADERS += 			src/ucbudgeteditor.h \
					src/ucbudget.h \
					src/componentwidget.h \
					src/componentitemwidget.h \
					src/variablewidget.h \
					src/reportgroupwidget.h \
					src/reportwidget.h \
    				src/namedialog.h \
					share/ucbudgetdata.h \
    				share/types.h \
     				../core/messagebox.h \
    				../core/xmlfile.h \
    				../core/optioneditor.h \
    				../core/expression.h \
    				../core/vector2.h \
    				../core/vector3.h \
    				../core/interpolation.h
		
SOURCES += 			src/main.cpp \
    				src/ucbudgeteditor.cpp \
    				src/ucbudget.cpp \
					src/componentwidget.cpp \
					src/componentitemwidget.cpp \
					src/variablewidget.cpp \
					src/reportgroupwidget.cpp \
					src/reportwidget.cpp \
    				src/namedialog.cpp \
					share/ucbudgetdata.cpp \
   					../core/messagebox.cpp \
    				../core/xmlfile.cpp \
    				../core/optioneditor.cpp \
    				../core/expression.cpp \
    				../core/vector2.cpp \
    				../core/vector3.cpp \
    				../core/interpolation.cpp
    	
FORMS += 
RESOURCES += 		res/ucbudgeteditor.qrc

win32{
RC_FILE = 			res/resource.rc
}

macx{
ICON = 				res/icons.icns

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/ucbudgeteditor
}
     
target.path = 		$$PREFIX
target.files = 		bin/ucbudgeteditor

INSTALLS += 		target 

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/ucbudgeteditor
}
